Bug 426567 - Review Request: glpi-mass-ocs-import - GLPI Plugin for OCS Massive import
Review Request: glpi-mass-ocs-import - GLPI Plugin for OCS Massive import
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-22 03:30 EST by Remi Collet
Modified: 2008-02-18 22:20 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.1-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-18 22:14:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
johan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Remi Collet 2007-12-22 03:30:35 EST
Spec URL: http://remi.fedorapeople.org/glpi-mass-ocs-import.spec
SRPM URL: http://remi.fedorapeople.org/glpi-mass-ocs-import-1.0-1.fc8.src.rpm
Mock Log: http://remi.fedorapeople.org/glpi-mass-ocs-import-build.log
Description: 
Plugin which allow OCS continuous synchronization and massive importation.

The extension Config panel is provided to handle the synchronization options.

--- 
rpmlint output :
glpi-mass-ocs-import.noarch: W: dangerous-command-in-%post install
glpi-mass-ocs-import.noarch: W: dangerous-command-in-%postun rm

=> creation/deletion of the (ghost file) plugin lock

GLPI web site provides a lot of useful plugins.
This is the first proposed to Review, some other (i use or/and i maintain upstream) will follow.
Comment 2 Johan Cwiklinski 2008-02-16 02:21:58 EST
Review:
+ package builds in mock.
+ rpmlint is silent for SRPM.
+ rpmlint warnings for RPM should be safely ignored
+ source file are ok.
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ BuildRequires are proper.
+ package installed properly.
+ Macro use appears rather consistent.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.

APPROVED.
Comment 3 Remi Collet 2008-02-16 03:06:43 EST
New Package CVS Request
=======================
Package Name: glpi-mass-ocs-import
Short Description: GLPI Plugin for OCS Massive import
Owners: remi
Branches: F-7 F-8 EL-4 EL-5
InitialCC: 
Cvsextras Commits: yes

Comment 4 Kevin Fenzi 2008-02-16 23:20:54 EST
cvs done.
Comment 5 Fedora Update System 2008-02-17 02:51:04 EST
glpi-mass-ocs-import-1.1-1.fc8 has been submitted as an update for Fedora 8
Comment 6 Fedora Update System 2008-02-17 02:53:30 EST
glpi-mass-ocs-import-1.1-1.fc7 has been submitted as an update for Fedora 7
Comment 7 Fedora Update System 2008-02-18 22:14:00 EST
glpi-mass-ocs-import-1.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-02-18 22:20:42 EST
glpi-mass-ocs-import-1.1-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.